org.keycloak.models.sessions.infinispan.initializer

## Class SessionInitializerWorker

- java.lang.Object
- - org.keycloak.models.sessions.infinispan.initializer.SessionInitializerWorker

- All Implemented Interfaces:
    Serializable, Callable<InfinispanUserSessionInitializer.WorkerResult>, org.infinispan.distexec.DistributedCallable<String,Serializable,InfinispanUserSessionInitializer.WorkerResult>

      public class SessionInitializerWorker
      extends Object
      implements org.infinispan.distexec.DistributedCallable<String,Serializable,InfinispanUserSessionInitializer.WorkerResult>, Serializable

  Author:
    Marek Posolda
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionInitializerWorker()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InfinispanUserSessionInitializer.WorkerResult` | `call()`
    `void` | `setEnvironment(org.infinispan.Cache<String,Serializable> workCache, Set<String> inputKeys)`
    `void` | `setWorkerEnvironment(int segment, int sessionsPerSegment, SessionLoader sessionLoader)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SessionInitializerWorker

          public SessionInitializerWorker()

  - ### Method Detail

    - #### setWorkerEnvironment

          public void setWorkerEnvironment(int segment,
                                           int sessionsPerSegment,
                                           SessionLoader sessionLoader)

    - #### setEnvironment

          public void setEnvironment(org.infinispan.Cache<String,Serializable> workCache,
                                     Set<String> inputKeys)

      Specified by:
        `setEnvironment` in interface `org.infinispan.distexec.DistributedCallable<String,Serializable,InfinispanUserSessionInitializer.WorkerResult>`

    - #### call

          public InfinispanUserSessionInitializer.WorkerResult call()
                                                             throws Exception

      Specified by:
        `call` in interface `Callable<InfinispanUserSessionInitializer.WorkerResult>`
      Throws:
        `Exception`

Copyright © 2016 JBoss by Red Hat. All rights reserved.